
Smart Proxy - Bug #6945

smart-proxy doesn't find the autosign.conf if not at "#{puppetdir}/autosign.conf"

08/05/2014 03:19 PM - Brian Witt

Status: Closed   

Priority: Normal   

Assignee:    

Category: Puppet   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/530

  

Description

modules/puppetca/puppetca.rb hardocodes the autosign.conf file to

def autosign_file

      "#{puppetdir}/autosign.conf" 

    end

 so even if we've set a different location in puppet.conf:

autosign = /etc/autosign.conf { mode = 664 }

 we still see this error in the foreman-proxy logs:

No such file /etc/puppet/autosign.conf

Associated revisions

Revision e7968a9d - 05/30/2017 08:07 AM - Michael Moll 

Fixes #6945 - use autosign path for puppetca

History

#1 - 08/05/2014 03:22 PM - Brian Witt

Our puppetdir in this case is set to /etc/puppet.   Is there anything else that uses puppetdir?

#2 - 08/06/2014 03:43 AM - Dominic Cleal

- Category set to Puppet

Brian Witt wrote:

Our puppetdir in this case is set to /etc/puppet.   Is there anything else that uses puppetdir?

 Yes, it's also used to find puppet.conf, they're expected to be in the same directory.

#3 - 08/06/2014 08:41 AM - Brian Witt

I thought the puppet.conf location was set via :puppet_conf:

#4 - 08/06/2014 08:45 AM - Dominic Cleal

Brian Witt wrote:

I thought the puppet.conf location was set via :puppet_conf:

 Yeah, puppet_conf will override the use of puppetdir/puppet.conf, so you can change puppetdir safely if you have puppet_conf set.
#5 - 05/20/2017 12:26 PM - Anonymous

I'm leaning towards closing this.

#6 - 05/20/2017 04:11 PM - Brian Witt

Michael Moll wrote:

I'm leaning towards closing this.

 Why?

#7 - 05/20/2017 05:13 PM - Anonymous

I'd say it "works as designed". Maybe the docs would need updating...

#8 - 05/23/2017 04:09 PM - Anonymous

I think I need to revise my opinion on that in the light of the whole Puppet 4 situation now. It seems the puppetdir setting is not used elsewhere in the

pupetca module.

#9 - 05/23/2017 06:18 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Anonymous

- Pull request https://github.com/theforeman/smart-proxy/pull/530 added

#10 - 05/30/2017 09:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e7968a9dc616e1c4c28961c1b3cd182eb02c1831.

#11 - 05/31/2017 01:04 AM - Brian Witt

Thanks!
